openSUSE Security Update : MozillaThunderbird (openSUSE-2019-772)

High Nessus Plugin ID 123332

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for MozillaThunderbird fixes the following issues :

Thunderbird 63 ESR was updated to version 60.3.0 to fix the following issues (bsc#1112852) :

Security issues fixed (MFSA 2018-28) :

- CVE-2018-12389: Fixed memory safety bugs.

- CVE-2018-12390: Fixed memory safety bugs.

- CVE-2018-12391: Fixed HTTP Live Stream audio data is accessible cross-origin.

- CVE-2018-12392: Fixed crash with nested event loops.

- CVE-2018-12393: Fixed integer overflow during Unicode conversion while loading JavaScript.

Non-security issues fixed :

- various theme fixes

- Shift+PageUp/PageDown in Write window

- Gloda attachment filtering

- Mailing list address auto-complete enter/return handling

- Thunderbird hung if HTML signature references non-existent image

- Filters not working for headers that appear more than once

Solution

Update the affected MozillaThunderbird packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1112852

Plugin Details

Severity: High

ID: 123332

File Name: openSUSE-2019-772.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2019/03/27

Updated: 2020/05/26

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS Score Source: CVE-2018-12391

CVSS v2.0

Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:MozillaThunderbird, p-cpe:/a:novell:opensuse:MozillaThunderbird-buildsymbols, p-cpe:/a:novell:opensuse:MozillaThunderbird-debuginfo, p-cpe:/a:novell:opensuse:MozillaThunderbird-debugsource, p-cpe:/a:novell:opensuse:MozillaThunderbird-translations-common, p-cpe:/a:novell:opensuse:MozillaThunderbird-translations-other, cpe:/o:novell:opensuse:15.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 2019/03/23

Vulnerability Publication Date: 2019/02/28

Reference Information

CVE: CVE-2018-12389, CVE-2018-12390, CVE-2018-12391, CVE-2018-12392, CVE-2018-12393